"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.createFileManagerPlugins = void 0;
var _apiHeadlessCms = require("@webiny/api-headless-cms");
var _file = require("./file.model");
// import { modelFactory } from "~/cmsFileStorage/modelFactory";

const createFileManagerPlugins = () => {
  const groupId = "contentModelGroup_fm";
  const groupPlugin = new _apiHeadlessCms.CmsGroupPlugin({
    id: groupId,
    slug: "fileManager",
    name: "File Manager",
    description: "Group for File Manager models",
    icon: "fas/folder",
    isPrivate: true
  });

  // const models = modelDefinitions.map(modelDefinition => {
  //     return modelFactory({
  //         group: cmsGroupPlugin.contentModelGroup,
  //         modelDefinition
  //     });
  // });

  return {
    groupPlugin,
    fileModelDefinition: (0, _file.createFileModelDefinition)(groupPlugin.contentModelGroup)
  };
};
exports.createFileManagerPlugins = createFileManagerPlugins;

//# sourceMappingURL=createFileManagerPlugins.js.map